ApiHBaseReplicationSetupOneClusterOnlyCmdArgs (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHBaseReplicationSetupOneClusterOnlyCmdArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHBaseReplicationSetupOneClusterOnlyCmdArgs

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHBaseReplicationSetupOneClusterOnlyCmdArgs
      extends Object

  Command args for HBase replication first time setup for only one cluster: either source or target

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHBaseReplicationSetupOneClusterOnlyCmdArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `RestartType` | `getRestartType()` Get restartType
    `ApiServiceRef` | `getSourceRef()` Get sourceRef
    `int` | `hashCode()`
    `ApiHBaseReplicationSetupOneClusterOnlyCmdArgs` | `restartType(RestartType restartType)`
    `void` | `setRestartType(RestartType restartType)`
    `void` | `setSourceRef(ApiServiceRef sourceRef)`
    `ApiHBaseReplicationSetupOneClusterOnlyCmdArgs` | `sourceRef(ApiServiceRef sourceRef)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHBaseReplicationSetupOneClusterOnlyCmdArgs

          public ApiHBaseReplicationSetupOneClusterOnlyCmdArgs()

  - ### Method Detail

    - #### sourceRef

          public ApiHBaseReplicationSetupOneClusterOnlyCmdArgs sourceRef(ApiServiceRef sourceRef)

    - #### getSourceRef

          public ApiServiceRef getSourceRef()

      Get sourceRef
      Returns:
        sourceRef

    - #### setSourceRef

          public void setSourceRef(ApiServiceRef sourceRef)

    - #### restartType

          public ApiHBaseReplicationSetupOneClusterOnlyCmdArgs restartType(RestartType restartType)

    - #### getRestartType

          public RestartType getRestartType()

      Get restartType
      Returns:
        restartType

    - #### setRestartType

          public void setRestartType(RestartType restartType)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.